TRAPR.Data.ReadExpressionTable <- function(File, sep = '\t', Exp1 = 1, Exp2 = 2, Tag = c('Exp1', 'Exp2'))
{
	cat('opening ', File, '\n')
	cat('It will take a while when your file size is large\n')
	RawData <- read.table(File, header=F, sep=sep)
	RawData.ColNum <- dim(RawData)[2]
	RawData.RowNum <- dim(RawData)[1]
	Data <- list()
	class(Data) <- 'TRAPR'

	if(is.vector(Exp1, mode='numeric')) Data$Exp1 <- Exp1 else stop('Exp1 must be numeric vector')
	if(is.vector(Exp2, mode='numeric')) Data$Exp2 <- Exp2 else stop('Exp2 must be numeric vector')
	
	Data$Tag <- Tag
	Data$SampleTag <- as.character(as.matrix(RawData[1, 2:RawData.ColNum]))
	Data$GeneTag <- as.character(as.matrix(RawData[2:RawData.RowNum, 1]))
	Data$RawMatrix <- matrix(as.numeric(as.matrix(RawData[2:RawData.RowNum, 2:RawData.ColNum])), ncol=RawData.ColNum - 1)
	
	Data$CurrentMatrix <- Data$RawMatrix
	Data$CurrentSample <- Data$SampleTag
	Data$CurrentGene <- Data$GeneTag
	
	Data$Exp1OnlyGene <- 'NA'
	Data$Exp2OnlyGene <- 'NA'
	Data$NonExpressedGene <- 'NA'
	
	Data$pvalues <- 'NA'
	Data$qvalues <- 'NA'
	Data$DEGName <- 'NA'
	Data$DEGIndex <- 'NA'
	Data$FC <- 'NA'
	
	cat(File, ' Loaded\n')
	return(Data)
}