TRAPR.Filter.LowExpression <-
function(Data, Method = 'mean', Thre = 0.01)
{
	TestMatrix <- Data$CurrentMatrix

	cat('Filter for Low Expressed Genes, which might be read mismatch.\n')
	METHODS <- c('mean', 'min', 'max', 'median')
	Method <- pmatch(Method, METHODS)
	if (is.na(Method))
		stop('invalid expression estimation method')
	if (Method == -1)
		stop('ambiguous expression estimation method')
	if (Method == 1)
		TestMatrix.ex <- apply(TestMatrix, 1, mean)
	if (Method == 2)
		TestMatrix.ex <- apply(TestMatrix, 1, min)
	if (Method == 3)
		TestMatrix.ex <- apply(TestMatrix, 1, max)
	if (Method == 4)
		TestMatrix.ex <- apply(TestMatrix, 1, median)
	TestMatrix.In <- which(TestMatrix.ex > Thre)
	cat(as.character(length(TestMatrix.In)), 'genes are filtered')
	
	Data$CurrentMatrix <- TestMatrix[TestMatrix.In,]
	Data$CurrentGene <- Data$CurrentGene[TestMatrix.In]
	return(Data)
}
