TRAPR.Filter.LowVariance <-
function(Data, Thre = 0.1)
{
	cat('Filter for Low Variance Genes, it will stabilize your DEG.\n')
	cat(as.character(Thre * 100), 'Percent of your genes will be filtered, which is', as.character(length(Data$CurrentGene) * Thre))
	TestMatrix <- Data$CurrentMatrix
	TestMatrix.Var <- apply(TestMatrix, 1, var)
	VarThre = quantile(TestMatrix.Var, Thre)
	TestMatrix.In <- which(TestMatrix.Var > VarThre)
	
	Data$CurrentMatrix <- TestMatrix[TestMatrix.In,]
	Data$CurrentGene <- Data$CurrentGene[TestMatrix.In]
	return(Data)
}
