TRAPR.Filter.ZeroValue <-
function(Data)
{
	cat('Filter for Zero values\n')
	cat('')
	Exp1.Sum <- apply(Data$CurrentMatrix[,Data$Exp1], 1, sum)
	Exp2.Sum <- apply(Data$CurrentMatrix[,Data$Exp2], 1, sum)
	All.Sum <- apply(Data$CurrentMatrix, 1, sum)
	
	Exp1Zero.Index <- which(Exp1.Sum == 0)
	Exp2Zero.Index <- which(Exp2.Sum == 0)
	AllZero.Index <- which(All.Sum == 0)
	
	Exp1Only.Index <- setdiff(Exp2Zero.Index, AllZero.Index)
	Exp2Only.Index <- setdiff(Exp1Zero.Index, AllZero.Index)
	Whole.Index <- union(Exp1Zero.Index, Exp2Zero.Index)
	cat(as.character(length(AllZero.Index)), 'genes have zero values for all samples\n')
	cat(as.character(length(Exp2Only.Index)), 'genes have zero values for Exp1 samples\n')
	cat(as.character(length(Exp1Only.Index)), 'genes have zero values for Exp2 samples\n')
	
	if(length(Whole.Index) < 1) 
	{
		cat('Nothing to filter\n')
		return(Data)
	}
	else
	{
		Data$Exp1OnlyGene <- Data$CurrentGene[Exp1Only.Index]
		Data$Exp2OnlyGene <- Data$CurrentGene[Exp2Only.Index]
		Data$CurrentMatrix <- Data$CurrentMatrix[-Whole.Index, ]
		Data$CurrentGene <- Data$CurrentGene[-Whole.Index]
		return(Data)
	}
}
