TRAPR.Normalize <-
function(Data, Method = 'UpperQuartile')
{
	cat(Method, 'Normalization \n')
	METHODS <- c('UpperQuartile', 'Quantile', 'Median', 'Mean')
	Method <- pmatch(Method, METHODS)
	if (is.na(Method))
		stop('invalid statistical test method')
	if (Method == -1)
		stop('ambiguous statistical test method')
	if (Method == 1)
		Data <- TRAPR.Normalize.UpperQuartile(Data)
	if (Method == 2)
		Data <- TRAPR.Normalize.Quantile(Data)
	if (Method == 3)
		Data <- TRAPR.Normalize.Median(Data)
	if (Method == 4)
		Data <- TRAPR.Normalize.Mean(Data)
	
	return(Data)
}
