TRAPR.ResultVisualization <-
function(Data,type_of_plot)
{
	if (type_of_plot != 'VO' && type_of_plot != 'HM'& type_of_plot != 'ALL')
	stop('err please check plot names !!!! \n')
	
	library(gridExtra)
	cat('Loading gridExtra package \n')
	library(gplots)
	cat('Loading gplots package \n')
	library(ggplot2)
	cat('Loading ggplot2 package \n')
	
	if(length(Data$DEGName) < 2) stop('DEG not selected')

	TestMatrix <- Data$CurrentMatrix
	colnames(TestMatrix) <- Data$CurrentSample
	rownames(TestMatrix) <- Data$CurrentGene

	x.min <- quantile(Data$FC, probs = 0.01, na.rm=T)
	x.max <- quantile(Data$FC, probs = 0.99, na.rm=T)
	x.lim <- max(abs(x.min), abs(x.max))
	y.max <- quantile(-log10(Data$pvalue), probs=0.9999, na.rm=T)
	y.lim <- abs(y.max)

	if(type_of_plot == 'VO') 
	{	
		deg_index = rep(0,dim(TestMatrix)[1])
		deg_index[Data$DEGIndex]=1
		threshold = as.factor(deg_index)
		#threshold = as.factor(abs(Data$FC) > FC1 & Data$qvalue < FDR)
		Plot_matrix = cbind(TestMatrix,threshold,"FC" = Data$FC,"pvalues" = -log10(Data$pvalues))
		VO_TestDataframe <- data.frame(Plot_matrix)
		
		p = ggplot(VO_TestDataframe, aes(FC,pvalues, colour=threshold))
		p  = p + geom_point(size=1.75) #alpha=0.4,
		p  = p +  xlim(c(-x.lim, x.lim)) + ylim(c(0, y.lim)) 
		p  = p + opts(legend.position = "none")
		p  = p + xlab("log2 fold change") + ylab("-log10 p-value")
		plot(p)
	}
	
	if(type_of_plot == 'HM') 
	{
		HM_TestMatrix <- TestMatrix[Data$DEGIndex,]
		rc = rainbow(nrow(HM_TestMatrix),start=0,end=.3)
		cc <- rainbow(ncol(HM_TestMatrix), start=0, end=.3)
		heatmap.2(HM_TestMatrix,trace="none",col=topo.colors(16),hclustfun = hclust,distfun = dist, scale ='row', RowSideColors=rc, ColSideColors=cc,main="HeatMap")
		#topo.colors(16),cm.colors(255)
	}
	
	if(type_of_plot == 'ALL') 
	{
		deg_index = rep(0,dim(TestMatrix)[1])
		deg_index[Data$DEGIndex]=1
		threshold = as.factor(deg_index)
		#threshold = as.factor(abs(Data$FC) > FC1 & Data$qvalue < FDR)
		Plot_matrix = cbind(TestMatrix,threshold,"FC" = Data$FC,"pvalues" = -log10(Data$pvalues))
		VO_TestDataframe <- data.frame(Plot_matrix)
		
		p = ggplot(VO_TestDataframe, aes(FC,pvalues, colour=threshold))
		p  = p + geom_point(size=1.75) #alpha=0.4,
		p  = p +  xlim(c(-x.lim, x.lim)) + ylim(c(0, y.lim)) 
		p  = p + opts(legend.position = "none")
		p  = p + xlab("log2 fold change") + ylab("-log10 p-value")
		
		
		HM_TestMatrix <- TestMatrix[Data$DEGIndex,]
		rc = rainbow(nrow(HM_TestMatrix),start=0,end=.3)
		cc <- rainbow(ncol(HM_TestMatrix), start=0, end=.3)
		dev.new()
		heatmap.2(HM_TestMatrix,trace="none",col=topo.colors(16),hclustfun = hclust,distfun = dist, scale ='row', RowSideColors=rc, ColSideColors=cc,main="HeatMap")
		dev.new()
		plot(p)


	}
	
}
