\name{TRAPR.DataVisualization}
\alias{TRAPR.DataVisualization}
\title{
TRAPR Functions for pre-analysis data(filtering + normalization) visualization
}
\description{
visualization. Data visualization function include 5 kinds of plots(MA plot, 
Mean' and 'Variance plot, Scatter plot, density plot).'ALL' is plotting all kinds 
plots together.
}
\usage{
TRAPR.DataVisualization(Data, type_of_plot, logged = TRUE)
}
\arguments{
  \item{Data}{
	gene matirx of after filtering and normalization
}
  \item{type_of_plot}{
	Type of plot for result visulaization.Data visualization function include 5 kinds of plots(MA plot, box plot, mean and variance plot, scatter plot, density plot). 
	MA plot : 'MA'
	box plot : 'box'
	Mean and variance plot : 'MV'
	Scatter plot : 'SE'
	Density plot : 'DS'
}
  \item{logged}{
	whether the data has been log transformed or not. 
}
}

\value{
\item{box}{boxplot}
\item{MA}{MA plot}
\item{MV}{Mean and Variance plot}
\item{SE}{Scatter plot}
\item{DS}{Density plot}
\item{ALL}{Plotting all kinds plots together}
}
\references{
ggplot2 : http://had.co.nz/ggplot2/
}
\author{
Soo Yeon Lee, Jae Hyun Lim
}

\examples{
data(TRAPRExample)
TRAPR.DataVisualization(TRAPRExample, 'ALL', logged = FALSE)
TRAPRExample <- TRAPR.Normalize(TRAPRExample, Method = 'UpperQuartile')
TRAPR.DataVisualization(TRAPRExample, 'ALL', logged = FALSE)
TRAPR.DataVisualization(TRAPRExample, 'ALL', logged = TRUE)
TRAPRExample <- TRAPR.Transformation.log2(TRAPRExample)
TRAPR.DataVisualization(TRAPRExample, 'ALL', logged = TRUE)
}