\name{TRAPR.Filter.LowExpression}
\alias{TRAPR.Filter.LowExpression}
\title{
TRAPR Function for filtering low expressed genes. 
}
\description{
This function is TRAPR Function for filtering low expressed genes. In typical RNA-seq experiments, genes which have low expression level normally does not have enough read for valid statistical analysis.  
}
\usage{
TRAPR.Filter.LowExpression(Data, Method = "mean", Thre = 0.01)
}
\arguments{
  \item{Data}{
	TRAPR type data 
}
  \item{Method}{
	Criteria for distinguishing low expressed genes.
	mean : mean of expression levels of gene. 
	min : minimum of expression levels of gene.
	max : maximum of expression levels of gene.
	median : median of expression levels of gene.
}
  \item{Thre}{
	Threshold for distinguishing low expressed genes. 
}
}
\value{
TRAPR type data which does not include low expressed genes. 
}
\author{
Jae Hyun Lim 
}

\examples{
data(TRAPRExample)
TRAPR.DataVisualization(TRAPRExample, 'ALL', FALSE)
TRAPRExample <- TRAPR.Filter.LowExpression(TRAPRExample, Method = 'mean', Thre = 0.01)
TRAPR.DataVisualization(TRAPRExample, 'ALL', FALSE)
}