\name{TRAPR.Filter.ZeroValue}
\alias{TRAPR.Filter.ZeroValue}
\title{
TRAPR Function for filtering genes which have zero expression levels. 
}
\description{
This function is TRAPR function for filtering genes which have zero expression levels in whole columns or each biological condition. It might interrupt further analysis procedures as log2 transformation or statistical test like t-test. 
}
\usage{
TRAPR.Filter.ZeroValue(Data)
}
\arguments{
  \item{Data}{
	TRAPR type data 
}
}
\value{
	TRAPR type data which does not include genes that have zero expression levels. Filtered genes are saved in 'NonExpressedGenes', 'Exp1OnlyGene', 'Exp2OnlyGene'
}
\author{
Jae Hyun Lim 
}

\examples{
data(TRAPRExample)
TRAPR.DataVisualization(TRAPRExample, 'ALL', FALSE)
TRAPRExample <- TRAPR.Filter.ZeroValue(TRAPRExample)
TRAPR.DataVisualization(TRAPRExample, 'ALL', FALSE)
}