\name{TRAPR.StatisticalTest}
\alias{TRAPR.StatisticalTest}
\title{
TRAPR Function for statistical test 
}
\description{
This is TRAPR function for statistical test. Currently, TRAPR provides 4 testing methods; t-test, wilcoxon, edgeR based method, Fold Change. 
}
\usage{
TRAPR.StatisticalTest(Data, Method = "ttest", FDRControl = "none", PvalueThre = 0.01, FCThre = 0)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Data}{
TRAPR type data 
}
  \item{Method}{
Statistical method you want. 'ttest', 'wilcoxon', 'edgeR', 'FC'
}
  \item{FDRControl}{
FDR Control method. "holm", "hochberg", "hommel", "bonferroni", "BH", "BY","fdr", "none"
}
  \item{PvalueThre}{
Threshold for p or qvalue 
}
  \item{FCThre}{
Threshold for Fold Change 
}
}
\value{
TRAPR type data which includes results of statistical test 
}
\author{
Jae Hyun Lim 
}
\examples{
data(TRAPRExample)
TRAPRExample <- TRAPR.StatisticalTest(TRAPRExample, Method = 'ttest', FDRControl = 'none', PvalueThre = 0.01, FCThre = 0.5)
TRAPR.ResultVisualization(TRAPRExample, 'ALL')
}